--Create tablas generacion de ofertas
--DROP TABLE z_Listas_Precios_Items_AUX
--DROP TABLE z_Listas_Precios_AUX
--GO
CREATE TABLE z_Listas_Precios_AUX (
Id_Actual int  , 
Descripcion VARCHAR(100),
Cantidad_Listas_Trabajo Smallint,
Lista_L1 INT,
Descrip_L1 VARCHAR(45),
Fecha_Desde_L1 Datetime NULL,
Fecha_Hasta_L1 Datetime NULL,
Referida_L1 INT,
Genera_Nueva_L1 Tinyint,
Lista_L2 INT,
Descrip_L2 VARCHAR(45),
Fecha_Desde_L2 Datetime NULL,
Fecha_Hasta_L2 Datetime NULL,
Referida_L2 INT,
Genera_Nueva_L2 Tinyint,
Lista_L3 INT,
Descrip_L3 VARCHAR(45),
Fecha_Desde_L3 Datetime NULL,
Fecha_Hasta_L3 Datetime NULL,
Referida_L3 INT,
Genera_Nueva_L3 Tinyint,
Lista_L4 INT,
Descrip_L4 VARCHAR(45),
Fecha_Desde_L4 Datetime NULL,
Fecha_Hasta_L4 Datetime NULL,
Referida_L4 INT,
Genera_Nueva_L4 Tinyint,
Lista_L5 INT,
Descrip_L5 VARCHAR(45),
Fecha_Desde_L5 Datetime NULL,
Fecha_Hasta_L5 Datetime NULL,
Referida_L5 INT,
Genera_Nueva_L5 Tinyint,
Prioridad SMALLINT
 CONSTRAINT [PK_ZLPA_PorId] PRIMARY KEY CLUSTERED 
(
	Id_Actual ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE z_Listas_Precios_Items_AUX (
Id_Actual int, 
Item      Int,
Id_Producto Varchar(14),
Precio_L1 Decimal(14,2),
Precio_L2 Decimal(14,2),
Precio_L3 Decimal(14,2),
Precio_L4 Decimal(14,2),
Precio_L5 Decimal(14,2),
 CONSTRAINT [PK_ZLPIA_PorLisPro] PRIMARY KEY CLUSTERED 
(
	Id_Actual ASC,
	Item ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].z_Listas_Precios_Items_AUX  WITH CHECK ADD  CONSTRAINT [FK_Prod_Listas_AUX] FOREIGN KEY(Id_Actual)
REFERENCES [dbo].z_Listas_Precios_AUX (Id_Actual)
GO

ALTER TABLE [dbo].z_Listas_Precios_Items_AUX CHECK CONSTRAINT [FK_Prod_Listas_AUX]
GO


/*






*/